## openmediaplayer 20120625-1

=== debian/changelog ===
openmediaplayer (20120625-1) unstable; urgency=low

  * Added an option to prevent audio from being interrupted by sound notifications.
  * Added support for video stream bookmarks.
  * Added an option to keep playing further videos when the current one ends.
  * Properly rotate the bookmark dialog.
  * The bookmark button in radio "Now playing" works.
  * Fixed an untranslatable string.
  * New translation: Portuguese (Brazil) by VGs and saponga.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Mon, 25 Jun 2012 05:49:18 +0200

=== debian/control ===
Source: openmediaplayer
Section: user/multimedia
Priority: extra
Maintainer: Grzegorz Gidel <grg.gdl@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libdbus-1-dev, libmafw0-dev, libmafw-shared0-dev, libglib2.0-dev, libgq-gconf-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libhildon-thumbnail-dev, libplayback-1-dev
Standards-Version: 3.8.4
Homepage: http://gitorious.org/qt-mediaplayer

Package: openmediaplayer
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Potential replacement for the stock media player
XSBC-Maemo-Display-Name: Open Media Player
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAv1QTFRFaQAAKwAANAEAPAEAQwAASQADTgABVAAFVwACXQAGYAABWgIA
 WgIEYwEAYgEEZwAGawACbgEAbQEEcwABZQQGdgADdAAKeAEAfgACfAAIbwQH
 RBASeAIFeAMOggEFgwIAigACjgIAlQACmAAAlgAOgwcOjgQOogADoAAJqwAA
 hwoKqwAITxsdmwcHaRUUgA8TuQAAmwgOcRQXwwAFkg0XwQAOZhoZwwAPQCUm
 xAAQehUcgxQbaBwfqgoQjRMVsQkUqAwWdhogxgQYjBYaZiEggBsbZiImvAoa
 vgsNvQsUoRMZdCAhmhcWmhccZScncSQmix0hYSkmqxQeYCkrZSgsyQ0UrRUZ
 TTAythMegiMnpRoilh8kwhQXnx4guRcawhUesRwizBQjkyUmxBgZiSgrdC4w
 xBkloyMolSctxhshvB4ovh8jriQo0BsgnykymCs1tiMsyB8ouSUoWEBAnC4y
 ljAwwSQswyUnfzg6mDM4xCczdT4/xSgu1iQqlDY8visxoDM7wC0tpDY6bUZF
 wi80wS85ujI3mzw8zy40uzU9fkdJk0RHwTg7zzQ7eU9OdVVWqkdNbFtdfl5f
 lF1gimBifmRje2dknmFgd2xsiWhpq2Bk7FBWiW5t3ldYlGxvpmhnrmhqpmtu
 iHR0gXZ2kHV0qXJ0jHp8r3F1in5/n3l7l3x7qnh4iYSDloOF6W1yn4OCjY2K
 uYGDrIWEtYODmIyMpIuLjpOVkZOQtI6QjZmZnJeVl5mWo5eYq5WWu5iZs5uc
 pZ+eq56foaOgwJydoKWonKip/5CTs6enrqmnvqWjoa2uqqyoyKSlqq+xuq2u
 rrO1sbOwya+trLm5xrK0rrq7vLe1ubu4xLi4uL2/z7m2xb++vcLFxMHF0L7A
 uMXFw8XBzcfGzMrO1cjIx8zPyszJ2s3O0NLP/8XHzdPV1NHW3NfW0N3e19zf
 2t3Z6dzc3+He5uHf4OXo5efk6+3p5+7w8u3r8PLu8Pb4+fTy6/j59vj1+vz5
 //37+f///f/8yYjkHgAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3AEeCzgkA0fIIwAABIdJREFUSMdj
 YBjZ4Njs3FBjGDCHACcnp+TkGE9NbOrXORmbepjDgId5TExycnJ8fGZmYWFh
 mj2G8udzDYzNkQHY7HiQBpCOjjB5NA1zDcxR1YPMT4YqL6+p6QhCcw+a+hio
 +WkQ5TU1Vb0mKP5NxFQfDwJA5WUg5S0trW0CSBpmo6kHehhkfFpaOUg9UHlL
 T6u9BJKGWiTVHkDlMfFg9dllQNBYX9/S2lOkramApCEXHp4enp5Q5dnZIPVV
 9fX1rW09EZramkpIGkIhGjyAyoEaYOqzysqAyuvbOtvsNbW1tdE1eHhA1Lu7
 Q1RnZYENb2vrzNFWBwJtFSQN5prqyuqaIOWecfYauoaGDglZRQVePr6+vumd
 QUoK8kCgIIykQX3C8o2znBW03d3jbCcsX7hw+YL0hALfBUuXLl09y1Cxff50
 MJgBV79j49N/QHDRWikiQvEMiPmv2yvH6i+IcVdC9OQ/KPh9GqL+6r/VvEtB
 st9SdLMUDoNk/q22850MVnRXXPAwVP2ff/92g9Rv//1vs4J85COg0Dt9BwWI
 9F1rGYjOm6IC+4CMR8FTvgKpZyAN7//926xkryy+ECiyWk0OqO4DkOUo8vTf
 q8///l0WBmu4zMLR9+/Hv/cgCz5//bdJ0T7CQT7y4r8P+pL7/v56deDfr+rU
 D//2PPj397KgwN6/3/4dZ2RZ9e/zL5ANFz5/+LlSISwsLEFFdvKrFNEdPz8/
 mPj3y8zmz/9mnPj1/aQg79bvnz6/PHj986dP3y4ANZx+/+rLSrWwoKCgHBO+
 yXUymz6+vxX+8dOuGd8/FR/48nG/AO/6j29fvf3y5f3bD/dBXtj97MHreWpB
 QVFRqt5bX0fKrn/94qrOuTe3Try5JX3wzYu9Aryr3jx58vD24ztXD0FC9dqt
 F/O0vKJMZLuuvt7rqr/y8f2rLKte3L//4jjjgRePtwrwLXl8//EuaX8XC2i0
 7b56b4pqrKr/2ns37nUFWC+5ceMES9+9CxduL2HadfvGWl6+OTcu3F7BKorI
 QAeuTBGT6jpy5fSlJVZ5rnPOnz3A5nbk7Omz1Sxbzp9dxss19fzp88s45EQR
 SenoJLcVpw4dObrIMaPJetKpI7u5ubecOnKUh23NqSOL+bimnjp0ajGHDHLi
 q1izfcOaxdVWGU3Rwv07t63h5Zu2cxtQ6eKd26bx8vXv3LBzGreoEJIGNcfU
 VH+rgJKmaHkJIz8/F1FxPb8QM2Fhm8BAM0FBs+DgYBsBYeRCICojOimjpKHE
 Tl5OTlxYWFxCQlxQUFhUVFhAAEgJ8vLyCggJoWooKSlpSJIDAQk5CSAQF5cR
 BQNhMBAUQtUQm19SUukMVSshIy6KpBikFAz4kG0oraxUhSiWQVYsCFcNBFxI
 GmwrM+SAjkBxhRCSYhERPj4+diQN2s6i4hhOhqvmAwMuFuTCVUkYxRlCaIqB
 yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
 DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
 YII=
XB-Maemo-Upgrade-Description: Silent notifications, video bookmarks
 Version 20120625-1 changes:
  * Added an option to prevent audio from being interrupted by sound notifications.
  * Added support for video stream bookmarks.
  * Added an option to keep playing further videos when the current one ends.
  * Properly rotate the bookmark dialog.
  * The bookmark button in radio "Now playing" works.
  * Fixed an untranslatable string.
  * New translation: Portuguese (Brazil) by VGs and saponga.
  * Updated translations.

Package: openmediaplayer-dbg
Architecture: armel
Section: debug
Priority: extra
Depends:
    openmediaplayer (= ${binary:Version}),
Description: Debugging symbols for Open Media Player

## openmediaplayer 20120713-1

=== Makefile ===
#############################################################################
# Makefile for building: openmediaplayer
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jun 23 18:11:12 2012
# Project:  openmediaplayer.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile openmediaplayer.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120617-next/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120617-next/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: openmediaplayer.pro  /targets/ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile openmediaplayer.pro
/targets/ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile openmediaplayer.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
openmediaplayer (20120713-1) unstable; urgency=low

  * Searching in the video browser.
  * Fixed ghost windows popping up after returning from a video.
  * Added support for D-Bus calls: open_mp_main_view (from the stock player) and open_mp_car_view (exclusive to OMP).
  * Fixed uneditable text fields when adding a bookmark from the video window.
  * Made headers in the radio browser immune to filtering.
  * Added a few missing keyboard shortcuts.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 13 Jul 2012 16:46:20 +0200

=== debian/control ===
--- 
+++ 
@@ -59,15 +59,14 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Silent notifications, video bookmarks
- Version 20120625-1 changes:
-  * Added an option to prevent audio from being interrupted by sound notifications.
-  * Added support for video stream bookmarks.
-  * Added an option to keep playing further videos when the current one ends.
-  * Properly rotate the bookmark dialog.
-  * The bookmark button in radio "Now playing" works.
-  * Fixed an untranslatable string.
-  * New translation: Portuguese (Brazil) by VGs and saponga.
+XB-Maemo-Upgrade-Description: Some bugs fixed
+ Version 20120713-1 changes:
+  * Searching in the video browser.
+  * Fixed ghost windows popping up after returning from a video.
+  * Added support for D-Bus calls: open_mp_main_view (from the stock player) and open_mp_car_view (exclusive to OMP).
+  * Fixed uneditable text fields when adding a bookmark from the video window.
+  * Made headers in the radio browser immune to filtering.
+  * Added a few missing keyboard shortcuts.
   * Updated translations.
 
 Package: openmediaplayer-dbg

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := openmediaplayer
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr QMAKE_STRIP=echo QMAKE_CXXFLAGS=-g ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=openmediaplayer-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openmediaplayer 20120717-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: openmediaplayer
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jun 23 18:11:12 2012
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jul 14 15:17:49 2012
 # Project:  openmediaplayer.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -o Makefile openmediaplayer.pro
@@ -29,10 +29,10 @@
 
 src/$(MAKEFILE): 
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120617-next/src/src.pro -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120713-next/src/src.pro -o $(MAKEFILE)
 sub-src-qmake_all:  FORCE
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120617-next/src/src.pro -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120713-next/src/src.pro -o $(MAKEFILE)
 sub-src: src/$(MAKEFILE) FORCE
 	cd src/ && $(MAKE) -f $(MAKEFILE)
 sub-src-make_default: src/$(MAKEFILE) FORCE

=== debian/changelog ===
openmediaplayer (20120717-1) unstable; urgency=low

  * Display cover art when listening to radio, if provided by the station.
  * QML song lists are kept synchronized with Now Playing (e.g. early open_mp_car_view does not cause an empty playlist).
  * Reconnecting a headset does not resume playback if it was paused manually in the meantime.
  * Endindg a call does not resume playback if a headset was disconnected in the meantime.
  * Fixed frequent failures when trying to open an audio stream.
  * Opening a whole directory does not rely on Tracker, making it usable for unindexed files.
  * Improved reliability of metadata in the radio window and reduced the number of queries.
  * Fixed the address field not being filled automatically in the bookmark dialog for new audio streams.
  * Fixed a problem with starting playback when opening a whole directory in presence of UTF-8 names.
  * Fixed problems with starting playback after building a new playlist while in the paused state.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Tue, 17 Jul 2012 16:33:16 +0200

=== debian/control ===
--- 
+++ 
@@ -59,15 +59,18 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Some bugs fixed
- Version 20120713-1 changes:
-  * Searching in the video browser.
-  * Fixed ghost windows popping up after returning from a video.
-  * Added support for D-Bus calls: open_mp_main_view (from the stock player) and open_mp_car_view (exclusive to OMP).
-  * Fixed uneditable text fields when adding a bookmark from the video window.
-  * Made headers in the radio browser immune to filtering.
-  * Added a few missing keyboard shortcuts.
-  * Updated translations.
+XB-Maemo-Upgrade-Description: Radio cover art, bug fixing
+ Version 20120717-1 changes:
+  * Display cover art when listening to radio, if provided by the station.
+  * QML song lists are kept synchronized with Now Playing (e.g. early open_mp_car_view does not cause an empty playlist).
+  * Reconnecting a headset does not resume playback if it was paused manually in the meantime.
+  * Endindg a call does not resume playback if a headset was disconnected in the meantime.
+  * Fixed frequent failures when trying to open an audio stream.
+  * Opening a whole directory does not rely on Tracker, making it usable for unindexed files.
+  * Improved reliability of metadata in the radio window and reduced the number of queries.
+  * Fixed the address field not being filled automatically in the bookmark dialog for new audio streams.
+  * Fixed a problem with starting playback when opening a whole directory in presence of UTF-8 names.
+  * Fixed problems with starting playback after building a new playlist while in the paused state.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120727-1

=== debian/changelog ===
openmediaplayer (20120727-1) unstable; urgency=low

  * Fixed some random crashes.
  * Fixed refreshing of saved playlists after deleting one of them.
  * Fixed song counting after deleting an album in artist's window.
  * When the lyrics server gives a backtrace, display an error message instead of taking it for the actual lyrics.
  * Various cleanups.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 27 Jul 2012 02:51:03 +0200

=== debian/control ===
--- 
+++ 
@@ -59,18 +59,13 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Radio cover art, bug fixing
- Version 20120717-1 changes:
-  * Display cover art when listening to radio, if provided by the station.
-  * QML song lists are kept synchronized with Now Playing (e.g. early open_mp_car_view does not cause an empty playlist).
-  * Reconnecting a headset does not resume playback if it was paused manually in the meantime.
-  * Endindg a call does not resume playback if a headset was disconnected in the meantime.
-  * Fixed frequent failures when trying to open an audio stream.
-  * Opening a whole directory does not rely on Tracker, making it usable for unindexed files.
-  * Improved reliability of metadata in the radio window and reduced the number of queries.
-  * Fixed the address field not being filled automatically in the bookmark dialog for new audio streams.
-  * Fixed a problem with starting playback when opening a whole directory in presence of UTF-8 names.
-  * Fixed problems with starting playback after building a new playlist while in the paused state.
+XB-Maemo-Upgrade-Description: Bug fixing
+ Version 20120727-1 changes:
+  * Fixed some random crashes.
+  * Fixed refreshing of saved playlists after deleting one of them.
+  * Fixed song counting after deleting an album in artist's window.
+  * When the lyrics server gives a backtrace, display an error message instead of taking it for the actual lyrics.
+  * Various cleanups.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120803-1

=== debian/changelog ===
openmediaplayer (20120803-1) unstable; urgency=low

  * Support for pluggable, dynamically loaded lyrics providers.
  * Plugins for AZLyrics, ChartLyrics, LyricsDB (the old integrated provider, now improved), LyricsWiki.
  * Increased the space for lyrics in the lyrics editor.
  * Added a shortcut to save changes in the lyrics editor (Ctrl+S).
  * Saving empty lyrics in the lyrics editor deletes the lyrics file.
  * Changed the lyrics cache format and location ("/home/user/.cache/openmediaplayer/lyrics/"), and added a plugin to read lyrics from the previous directory.
  * Moved the configuration file to "/home/user/.config/openmediaplayer/openmediaplayer.conf".
  * "Open whole folders" option works for videos.
  * Fixed the endless loading icon after opening a whole folder.
  * Added a note in the settings dialog to warn about libplayback conflicting with the wired headset button.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 03 Aug 2012 16:24:42 +0200

=== debian/control ===
--- 
+++ 
@@ -59,13 +59,18 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Bug fixing
- Version 20120727-1 changes:
-  * Fixed some random crashes.
-  * Fixed refreshing of saved playlists after deleting one of them.
-  * Fixed song counting after deleting an album in artist's window.
-  * When the lyrics server gives a backtrace, display an error message instead of taking it for the actual lyrics.
-  * Various cleanups.
+XB-Maemo-Upgrade-Description: Improved support for lyrics
+ Version 20120803-1 changes:
+  * Support for pluggable, dynamically loaded lyrics providers.
+  * Plugins for AZLyrics, ChartLyrics, LyricsDB (the old integrated provider, now improved), LyricsWiki.
+  * Increased the space for lyrics in the lyrics editor.
+  * Added a shortcut to save changes in the lyrics editor (Ctrl+S).
+  * Saving empty lyrics in the lyrics editor deletes the lyrics file.
+  * Changed the lyrics cache format and location ("/home/user/.cache/openmediaplayer/lyrics/"), and added a plugin to read lyrics from the previous directory.
+  * Moved the configuration file to "/home/user/.config/openmediaplayer/openmediaplayer.conf".
+  * "Open whole folders" option works for videos.
+  * Fixed the endless loading icon after opening a whole folder.
+  * Added a note in the settings dialog to warn about libplayback conflicting with the wired headset button.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120804-1

=== debian/changelog ===
openmediaplayer (20120804-1) unstable; urgency=low

  * Fixed LyricWiki plugin not recognizing missing lyrics properly and made it ignore incomplete lyrics.
  * Fixed a crash that could occur when rapidly switching songs with online lyrics active.
  * Somewhat faster (mainly more responsive when searching) radio browser, video browser and UPnP browser.
  * Headers in the video browser are not displayed if there's only one category.
  * Made playlist browser headers immune to filtering.
  * Got rid of the imported playlists header and an empty playlist appearing even if there are no imported playlists.
  * Restored seamless refreshing in the radio browser that probably got lost a few updates ago.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 04 Aug 2012 20:32:56 +0200

=== debian/control ===
--- 
+++ 
@@ -59,18 +59,16 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Improved support for lyrics
- Version 20120803-1 changes:
-  * Support for pluggable, dynamically loaded lyrics providers.
-  * Plugins for AZLyrics, ChartLyrics, LyricsDB (the old integrated provider, now improved), LyricsWiki.
-  * Increased the space for lyrics in the lyrics editor.
-  * Added a shortcut to save changes in the lyrics editor (Ctrl+S).
-  * Saving empty lyrics in the lyrics editor deletes the lyrics file.
-  * Changed the lyrics cache format and location ("/home/user/.cache/openmediaplayer/lyrics/"), and added a plugin to read lyrics from the previous directory.
-  * Moved the configuration file to "/home/user/.config/openmediaplayer/openmediaplayer.conf".
-  * "Open whole folders" option works for videos.
-  * Fixed the endless loading icon after opening a whole folder.
-  * Added a note in the settings dialog to warn about libplayback conflicting with the wired headset button.
+XB-Maemo-Upgrade-Description: Bug fixing and cosmetic changes
+ Version 20120804-1 changes:
+  * Fixed LyricWiki plugin not recognizing missing lyrics properly and made it ignore incomplete lyrics.
+  * Fixed a crash that could occur when rapidly switching songs with online lyrics active.
+  * Somewhat faster (mainly more responsive when searching) radio browser, video browser and UPnP browser.
+  * Headers in the video browser are not displayed if there's only one category.
+  * Made playlist browser headers immune to filtering.
+  * Got rid of the imported playlists header and an empty playlist appearing even if there are no imported playlists.
+  * Restored seamless refreshing in the radio browser that probably got lost a few updates ago.
+  * Updated translations.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120805-1

=== debian/changelog ===
openmediaplayer (20120805-1) unstable; urgency=low

  * Improved the playback state indicator for some CPU and memory savings.
  * Fixed multiple bookmarks being created instead of one.
  * Updated translations: Finnish, Italian.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 05 Aug 2012 22:49:13 +0200

=== debian/control ===
--- 
+++ 
@@ -59,16 +59,11 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Bug fixing and cosmetic changes
- Version 20120804-1 changes:
-  * Fixed LyricWiki plugin not recognizing missing lyrics properly and made it ignore incomplete lyrics.
-  * Fixed a crash that could occur when rapidly switching songs with online lyrics active.
-  * Somewhat faster (mainly more responsive when searching) radio browser, video browser and UPnP browser.
-  * Headers in the video browser are not displayed if there's only one category.
-  * Made playlist browser headers immune to filtering.
-  * Got rid of the imported playlists header and an empty playlist appearing even if there are no imported playlists.
-  * Restored seamless refreshing in the radio browser that probably got lost a few updates ago.
-  * Updated translations.
+XB-Maemo-Upgrade-Description: Emergency fix for bookmarks, optimizations, translations
+ Version 20120805-1 changes:
+  * Improved the playback state indicator for some CPU and memory savings.
+  * Fixed multiple bookmarks being created instead of one.
+  * Updated translations: Finnish, Italian.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120808-1

=== debian/changelog ===
openmediaplayer (20120808-1) unstable; urgency=low

  * Extensive usage of keyboard shortcuts.
  * Added an option to clear lyrics cache.
  * Fixed shuffle button sometimes not resizing properly after rotating to portrait.
  * Prevented context menu from popping up for shuffle buttons.
  * Fixed the song count of automatic playlists not being refreshed immediately.
  * Fixed shuffle mode not turning off when selecting a song in UPnP view.
  * Fixed wrong positions of some context menus.
  * Repositioned the playback indicator to sit exactly in the corner.
  * Prevented editing of headers that was possible in some lists.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 08 Aug 2012 16:35:18 +0200

=== debian/control ===
--- 
+++ 
@@ -59,11 +59,17 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Emergency fix for bookmarks, optimizations, translations
- Version 20120805-1 changes:
-  * Improved the playback state indicator for some CPU and memory savings.
-  * Fixed multiple bookmarks being created instead of one.
-  * Updated translations: Finnish, Italian.
+XB-Maemo-Upgrade-Description: Keyboard shortcuts, cache clearing, bug fixing
+ Version 20120808-1 changes:
+  * Extensive usage of keyboard shortcuts.
+  * Added an option to clear lyrics cache.
+  * Fixed shuffle button sometimes not resizing properly after rotating to portrait.
+  * Prevented context menu from popping up for shuffle buttons.
+  * Fixed the song count of automatic playlists not being refreshed immediately.
+  * Fixed shuffle mode not turning off when selecting a song in UPnP view.
+  * Fixed wrong positions of some context menus.
+  * Repositioned the playback indicator to sit exactly in the corner.
+  * Prevented editing of headers that was possible in some lists.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120815-1

=== debian/changelog ===
openmediaplayer (20120815-1) unstable; urgency=low

  * Support for offline lyrics providers and additional provider description.
  * Added plugins to use lyrics from MaeLyrica and Sonata.
  * Significantly improved overall speed of loading a playlist in the playlist browser.
  * Much faster saving of playlists after editing.
  * Saved playlists load adaptively, prioritizing currently visible items.
  * Improved way of lading saved playlists and current playlist makes saving, sharing, shuffling, etc. immediately work correctly.
  * Group operations on automatic and imported playlists wait for loading to finish before taking effect.
  * Improved responsiveness while searching in a playlist, artist's albums, a single album and a genre.
  * Massively improved speed of adding a saved playlist to now playing from context menu.
  * Opening video window from the playback indicator does not start playback.
  * Eliminated delay in controlling playback with "Prevent playback interruptions" enabled.
  * Fixed problems with video resuming and thumbnails when "Prevent playback interruptions" is enabled.
  * Fixed automatic playlists showing 1 song if they are empty.
  * Shuffle buttons can be highlighted when navigating with keyboard.
  * Fixed a bug with not all songs being added from "Never played" to now playing when using context menu.
  * Reworked album art selection dialog and made it resize itself properly when rotating.
  * Invoking context menu in Now Playing with a shortcut when song progress is visible results in album art's menu.
  * Disabled autorepeat for shortcuts where it was not desirable.
  * Fixed S, E, R shortcuts not working in Now Playing when playlist is visible.
  * Selecting a song from the playlist in Now Playing window starts playing it also if playback was paused.
  * Fixed a crash caused by opening Now Playing, quickly closing the underlying window while it is still visible and then trying to open Now Playing again.
  * Fixed a rare crash when changing a track in an unfortunate moment.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 15 Aug 2012 16:28:55 +0200

=== debian/control ===
--- 
+++ 
@@ -59,17 +59,31 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Keyboard shortcuts, cache clearing, bug fixing
- Version 20120808-1 changes:
-  * Extensive usage of keyboard shortcuts.
-  * Added an option to clear lyrics cache.
-  * Fixed shuffle button sometimes not resizing properly after rotating to portrait.
-  * Prevented context menu from popping up for shuffle buttons.
-  * Fixed the song count of automatic playlists not being refreshed immediately.
-  * Fixed shuffle mode not turning off when selecting a song in UPnP view.
-  * Fixed wrong positions of some context menus.
-  * Repositioned the playback indicator to sit exactly in the corner.
-  * Prevented editing of headers that was possible in some lists.
+XB-Maemo-Upgrade-Description: More plugins, optimizations, fixed bugs and crashes, various adjustments
+ Version 20120815-1 changes:
+  * Support for offline lyrics providers and additional provider description.
+  * Added plugins to use lyrics from MaeLyrica and Sonata.
+  * Significantly improved overall speed of loading a playlist in the playlist browser.
+  * Much faster saving of playlists after editing.
+  * Saved playlists load adaptively, prioritizing currently visible items.
+  * Improved way of lading saved playlists and current playlist makes saving, sharing, shuffling, etc. immediately work correctly.
+  * Group operations on automatic and imported playlists wait for loading to finish before taking effect.
+  * Improved responsiveness while searching in a playlist, artist's albums, a single album and a genre.
+  * Massively improved speed of adding a saved playlist to now playing from context menu.
+  * Opening video window from the playback indicator does not start playback.
+  * Eliminated delay in controlling playback with "Prevent playback interruptions" enabled.
+  * Fixed problems with video resuming and thumbnails when "Prevent playback interruptions" is enabled.
+  * Fixed automatic playlists showing 1 song if they are empty.
+  * Shuffle buttons can be highlighted when navigating with keyboard.
+  * Fixed a bug with not all songs being added from "Never played" to now playing when using context menu.
+  * Reworked album art selection dialog and made it resize itself properly when rotating.
+  * Invoking context menu in Now Playing with a shortcut when song progress is visible results in album art's menu.
+  * Disabled autorepeat for shortcuts where it was not desirable.
+  * Fixed S, E, R shortcuts not working in Now Playing when playlist is visible.
+  * Selecting a song from the playlist in Now Playing window starts playing it also if playback was paused.
+  * Fixed a crash caused by opening Now Playing, quickly closing the underlying window while it is still visible and then trying to open Now Playing again.
+  * Fixed a rare crash when changing a track in an unfortunate moment.
+  * Updated translations.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120815-2

=== debian/changelog ===
openmediaplayer (20120815-2) unstable; urgency=low

  * Fixed a regression that made it impossible to play saved playlists.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 16 Aug 2012 21:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -59,31 +59,9 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: More plugins, optimizations, fixed bugs and crashes, various adjustments
- Version 20120815-1 changes:
-  * Support for offline lyrics providers and additional provider description.
-  * Added plugins to use lyrics from MaeLyrica and Sonata.
-  * Significantly improved overall speed of loading a playlist in the playlist browser.
-  * Much faster saving of playlists after editing.
-  * Saved playlists load adaptively, prioritizing currently visible items.
-  * Improved way of lading saved playlists and current playlist makes saving, sharing, shuffling, etc. immediately work correctly.
-  * Group operations on automatic and imported playlists wait for loading to finish before taking effect.
-  * Improved responsiveness while searching in a playlist, artist's albums, a single album and a genre.
-  * Massively improved speed of adding a saved playlist to now playing from context menu.
-  * Opening video window from the playback indicator does not start playback.
-  * Eliminated delay in controlling playback with "Prevent playback interruptions" enabled.
-  * Fixed problems with video resuming and thumbnails when "Prevent playback interruptions" is enabled.
-  * Fixed automatic playlists showing 1 song if they are empty.
-  * Shuffle buttons can be highlighted when navigating with keyboard.
-  * Fixed a bug with not all songs being added from "Never played" to now playing when using context menu.
-  * Reworked album art selection dialog and made it resize itself properly when rotating.
-  * Invoking context menu in Now Playing with a shortcut when song progress is visible results in album art's menu.
-  * Disabled autorepeat for shortcuts where it was not desirable.
-  * Fixed S, E, R shortcuts not working in Now Playing when playlist is visible.
-  * Selecting a song from the playlist in Now Playing window starts playing it also if playback was paused.
-  * Fixed a crash caused by opening Now Playing, quickly closing the underlying window while it is still visible and then trying to open Now Playing again.
-  * Fixed a rare crash when changing a track in an unfortunate moment.
-  * Updated translations.
+XB-Maemo-Upgrade-Description: Emergency fix
+ Version 20120815-2 changes:
+  * Fixed a regression that made it impossible to play saved playlists.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120912-1

=== debian/changelog ===
openmediaplayer (20120912-1) unstable; urgency=low

  * Dropped the hack behind "Headset button action" at the cost of making this feature CSSU-only, but then it works also with "Prevent playback interruptions".
  * Added an option to choose a method of silencing notifications.
  * Added Dark Lyrics plugin.
  * Fixed UTF-8 in AZLyrics plugin.
  * Fixed problems with opening some streams.
  * Improved feedback when opening streams by bouncing the buffering bar.
  * Fixed outdated buffering info sometimes being shown after changing a station.
  * Prevented detached and dead windows from appearing when activating the playback indicator and something else shortly thereafter.
  * open_mp_now_playing_playback_on and open_mp_radio_playing_playback_on (used by the desktop widget) open the appropriate window.
  * Added the missing shortcut to close the album art menu.
  * Optified the package with debugging symbols.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 12 Sep 2012 18:00:59 +0200

=== debian/control ===
--- 
+++ 
@@ -59,9 +59,20 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Emergency fix
- Version 20120815-2 changes:
-  * Fixed a regression that made it impossible to play saved playlists.
+XB-Maemo-Upgrade-Description: Headset button changes, widget compatibility, new plugin, better streaming
+ Version 20120912-1 changes:
+  * Dropped the hack behind "Headset button action" at the cost of making this feature CSSU-only, but then it works also with "Prevent playback interruptions".
+  * Added an option to choose a method of silencing notifications.
+  * Added Dark Lyrics plugin.
+  * Fixed UTF-8 in AZLyrics plugin.
+  * Fixed problems with opening some streams.
+  * Improved feedback when opening streams by bouncing the buffering bar.
+  * Fixed outdated buffering info sometimes being shown after changing a station.
+  * Prevented detached and dead windows from appearing when activating the playback indicator and something else shortly thereafter.
+  * open_mp_now_playing_playback_on and open_mp_radio_playing_playback_on (used by the desktop widget) open the appropriate window.
+  * Added the missing shortcut to close the album art menu.
+  * Optified the package with debugging symbols.
+  * Updated translations.
 
 Package: openmediaplayer-dbg
 Architecture: armel

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify openmediaplayer-dbg
 	dh_md5sums
 	dh_builddeb

## openmediaplayer 20120917-1

=== debian/changelog ===
openmediaplayer (20120917-1) unstable; urgency=low

  * Added an option to zoom videos to fit the screen.
  * Moved "Continuous video playback" option to the video window.
  * Slightly refined the appearance of already existing elements of the video window.
  * Eliminated the delay between pressing a key and starting searching.
  * Searching does not cause jumping to the middle of a list.
  * Volume buttons use icons from the active theme.
  * Added the missing animation frame in the playback indicator.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Mon, 17 Sep 2012 00:15:37 +0200

=== debian/control ===
--- 
+++ 
@@ -59,19 +59,15 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Headset button changes, widget compatibility, new plugin, better streaming
- Version 20120912-1 changes:
-  * Dropped the hack behind "Headset button action" at the cost of making this feature CSSU-only, but then it works also with "Prevent playback interruptions".
-  * Added an option to choose a method of silencing notifications.
-  * Added Dark Lyrics plugin.
-  * Fixed UTF-8 in AZLyrics plugin.
-  * Fixed problems with opening some streams.
-  * Improved feedback when opening streams by bouncing the buffering bar.
-  * Fixed outdated buffering info sometimes being shown after changing a station.
-  * Prevented detached and dead windows from appearing when activating the playback indicator and something else shortly thereafter.
-  * open_mp_now_playing_playback_on and open_mp_radio_playing_playback_on (used by the desktop widget) open the appropriate window.
-  * Added the missing shortcut to close the album art menu.
-  * Optified the package with debugging symbols.
+XB-Maemo-Upgrade-Description: Video and searching improvements
+ Version 20120917-1 changes:
+  * Added an option to zoom videos to fit the screen.
+  * Moved "Continuous video playback" option to the video window.
+  * Slightly refined the appearance of already existing elements of the video window.
+  * Eliminated the delay between pressing a key and starting searching.
+  * Searching does not cause jumping to the middle of a list.
+  * Volume buttons use icons from the active theme.
+  * Added the missing animation frame in the playback indicator.
   * Updated translations.
 
 Package: openmediaplayer-dbg

## openmediaplayer 20121220-1

=== debian/changelog ===
openmediaplayer (20121220-1) unstable; urgency=low

  * Added a dialog that appears when the player is ordered to open a file and asks what to do with it.
  * Fixed a problem with empty items appearing in now playing.
  * Fixed a memory leak that progressed each time a list with shuffle button was opened.
  * Fixed a crash caused by closing the radio now playing window just after opening it.
  * Fixed the default album icon not showing up whan browsing artists of a genre.
  * Fixed a rare infinite loop when trying to recover from MAFW's failure to start playback.
  * Fixed funny behavior of the window manager after opening a file when a dialog window is visible.
  * Cleanups in the settings window.
  * More resonsive keyboard shortcuts in confirmation dialogs.
  * Closing a window that was used to add songs to now playing does not interrupt the song adding operation.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 20 Dec 2012 20:21:54 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 builddir/Makefile: builddir
 	cd builddir && qmake-qt4 PREFIX=/usr QMAKE_STRIP=echo QMAKE_CXXFLAGS=-g ../$(APPNAME).pro
+	#cd builddir && qmake-qt4 PREFIX=/usr QMAKE_STRIP=echo QMAKE_CXXFLAGS='-g -mthumb' ../$(APPNAME).p
+	#cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp

## openmediaplayer 20130321-1

=== debian/changelog ===
openmediaplayer (20130321-1) unstable; urgency=low

  * Added D-Bus calls to play a playlist.
  * UPnP and video browser respect the "play only search results" option.
  * Different grid sizes for landscape and portrait.
  * Changed -00:01 to --:-- in track length labels.
  * A great amount of various, mostly UI-related, cleanups.
  * Allow only one instance of the application (multiple windows can still be opened with --allow-multiple-instances).
  * Fixed certain windows being closed whenever hildon-desktop is restarted.
  * New translations: Bulgarian by B.U.S.T.T.E.R., Slovak by Pali (based on slovak-l10n project by rmoravcik).
  * Updated translations: Russian (thanks to DarkSide25), French (thanks to Pinky007) and more.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 21 Mar 2013 21:02:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 builddir/Makefile: builddir
 	cd builddir && qmake-qt4 PREFIX=/usr QMAKE_STRIP=echo QMAKE_CXXFLAGS=-g ../$(APPNAME).pro
-	#cd builddir && qmake-qt4 PREFIX=/usr QMAKE_STRIP=echo QMAKE_CXXFLAGS='-g -mthumb' ../$(APPNAME).p
+	#cd builddir && qmake-qt4 PREFIX=/usr QMAKE_STRIP=echo QMAKE_CXXFLAGS='-g -mthumb' ../$(APPNAME).pro
 	#cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp

## openmediaplayer 20130804-1

=== debian/changelog ===
openmediaplayer (20130804-1) unstable; urgency=low

  * Modified the portrait layout in Now Playing.
  * Added an icon to the button in playlist picker.
  * Views in Now Playing can be cycled in the reverse order by swiping the cover area from left to right or with Ctrl+Shift+Space.
  * Extensive changes in the video playback window, most notably:
    - fixed a failure to reset saved playback position,
    - fixed a failure to resume from saved playback position,
    - fixed a failure to start video playback when music is playing,
    - fixed jumpy resuming from pause,
    - keyboard shortcuts to control playback progress work at the same rate as their touch counterparts and without the initial delay,
    - prevented skipping to another video and playing it in the background if an error has occured,
    - panels use background color from theme.
  * Changing view mode in video browser no longer causes an empty list if a filter is present.
  * Fixed wrong size of lyrics area (too much space or unable to scroll) after changing songs with lyrics hidden.
  * Fixed wrong size of list items in the video browser after changing device orientation when in category mode.
  * Fixed an occasional crash that occured when trying to play an unavailabe bookmarked video stream and possibly in other situations.
  * Some packaging and build tweaks.
  * Updated translations: Hungarian (thanks to salmi), Russian.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 04 Aug 2013 20:34:22 +0200

=== debian/control ===
--- 
+++ 
@@ -59,16 +59,17 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Video and searching improvements
- Version 20120917-1 changes:
-  * Added an option to zoom videos to fit the screen.
-  * Moved "Continuous video playback" option to the video window.
-  * Slightly refined the appearance of already existing elements of the video window.
-  * Eliminated the delay between pressing a key and starting searching.
-  * Searching does not cause jumping to the middle of a list.
-  * Volume buttons use icons from the active theme.
-  * Added the missing animation frame in the playback indicator.
-  * Updated translations.
+XB-Maemo-Upgrade-Description: UI tweaks and cleanups
+ Version 20130321-1 changes:
+  * Added D-Bus calls to play a playlist.
+  * UPnP and video browser respect the "play only search results" option.
+  * Different grid sizes for landscape and portrait.
+  * Changed -00:01 to --:-- in track length labels.
+  * A great amount of various, mostly UI-related, cleanups.
+  * Allow only one instance of the application (multiple windows can still be opened with --allow-multiple-instances).
+  * Fixed certain windows being closed whenever hildon-desktop is restarted.
+  * New translations: Bulgarian by B.U.S.T.T.E.R., Slovak by Pali (based on slovak-l10n project by rmoravcik).
+  * Updated translations: Russian (thanks to DarkSide25), French (thanks to Pinky007) and more.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20131024-1

=== debian/changelog ===
openmediaplayer (20131024-1) unstable; urgency=low

  * Added a workaround for the long startup time with locked GUI after the OS is restarted.
  * Added some delay before automatically resuming playback with Bluetooth headsets so that there is enough time to reconfigure the audio output.
  * Use LANG environment variable to detect language.
  * Removed language selection from the settings, as it can now be accomplished by changing LANG.
  * Added a small margin for the playlist size label in the settings to improve alignment with buttons.
  * Updated translations: Finnish (thanks to jonkha), Brazilian Portuguese.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 24 Oct 2013 00:57:39 +0200
